libzypp 17.38.15

Iterable.h File Reference
`#include <iterator>`

Go to the source code of this file.

## Classes
class | zypp::Iterable< TIterator >

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
template<class TIterator>
Iterable< TIterator > | zypp::makeIterable (TIterator &&begin_r, TIterator &&end_r)
| relates: Iterable convenient construction.
template<class TIterator>
Iterable< TIterator > | zypp::makeIterable (std::pair< TIterator, TIterator > &&range_r)
| relates: Iterable convenient construction.